<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3002
Name: Grund der Überweisung Section
Description: Dieser Abschnitt enthält die konkrete (medizinische) Fragestellung bzw. Grund für eine Überweisung, die sich aufgrund einer medizinischen Untersuchung ergibt, formuliert als Freitext und in einer eigenen Komponente abgelegt.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3002-2013-09-16T000000">
   <title>Grund der Überweisung Section</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3002
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']]
Item: (ReasonForReferral)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3002
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']
Item: (ReasonForReferral)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']"
         id="tmp-r-edeaadf8-2d7d-4641-8976-253aa07c5e1f">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3002'])&gt;=1 ">(ReasonForReferral): Element hl7:templateId[@root='1.2.276.0.76.10.3002'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3002'])&lt;=1">(ReasonForReferral): Element hl7:templateId[@root='1.2.276.0.76.10.3002'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ReasonForReferral): Element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ReasonForReferral): Element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(ReasonForReferral): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="count(hl7:title)&lt;=1">(ReasonForReferral): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ReasonForReferral): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="count(hl7:text)&lt;=1">(ReasonForReferral): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3002
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']/hl7:templateId[@root='1.2.276.0.76.10.3002']
Item: (ReasonForReferral)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']/hl7:templateId[@root='1.2.276.0.76.10.3002']"
         id="tmp-r-0959c828-2c42-4165-b992-4cb111ca6ac8">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferral): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3002')">(ReasonForReferral): Der Wert von @root MUSS '1.2.276.0.76.10.3002' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3002
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ReasonForReferral)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-1256425f-0961-4fbd-b1f1-1268517b0d73">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferral): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="@nullFlavor or (@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')">(ReasonForReferral): Der Elementinhalt MUSS einer von 'code '42349-1' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3002
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']/hl7:title
Item: (ReasonForReferral)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']/hl7:title"
         id="tmp-r-e2003cfc-fc6e-468a-8595-29e12c35cc95">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="text()='Grund der Überweisung'">(ReasonForReferral): Der Elementinhalt von 'hl7:title' MUSS ''Grund der Überweisung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3002
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']/hl7:text
Item: (ReasonForReferral)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3002']/hl7:text"
         id="tmp-r-4f8edd56-8f4f-4adb-a35d-a414326402d5">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3002-2013-09-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferral): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
