<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3037
Name: Beilagen/Anhang
Description: Sonstige Beilagen/Anhänge, außer denjenigen Dokumenten, die in „Patientenverfügungen und andere juridische Dokumente“ angegeben sind. Diese Section sollte (mind.) ein Entry enthalten. Die Anhänge können entweder als Referenz oder als direkte Inklusion des Objektes übermittelt werden.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3037-2014-08-25T000000">
   <title>Beilagen/Anhang</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3037
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']]
Item: (Beilagen)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3037
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']
Item: (Beilagen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']"
         id="tmp-r-6a64aeea-5252-4b9f-a7a6-e32e1fcbf2b5">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3037'])&gt;=1 ">(Beilagen): Element hl7:templateId[@root='1.2.276.0.76.10.3037'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3037'])&lt;=1">(Beilagen): Element hl7:templateId[@root='1.2.276.0.76.10.3037'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="count(hl7:code[(@code='X-OBSMED' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='X-OBSMED' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Beilagen): Element hl7:code[(@code='X-OBSMED' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="count(hl7:code[(@code='X-OBSMED' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Beilagen): Element hl7:code[(@code='X-OBSMED' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="count(hl7:title)&gt;=1 ">(Beilagen): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="count(hl7:title)&lt;=1">(Beilagen): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="count(hl7:text)&gt;=1 ">(Beilagen): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="count(hl7:text)&lt;=1">(Beilagen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="count(hl7:entry[hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']])&lt;=1">(Beilagen): Element hl7:entry[hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3037
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']/hl7:templateId[@root='1.2.276.0.76.10.3037']
Item: (Beilagen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']/hl7:templateId[@root='1.2.276.0.76.10.3037']"
         id="tmp-r-6e2aaf0c-de43-42d4-8e83-9da56a584b0c">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beilagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3037')">(Beilagen): Der Wert von @root MUSS '1.2.276.0.76.10.3037' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3037
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']/hl7:code[(@code='X-OBSMED' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Beilagen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']/hl7:code[(@code='X-OBSMED' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-9b73ee21-06f7-48a6-af19-c92275c6a047">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beilagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="@nullFlavor or (@code='X-OBSMED' and @codeSystem='2.16.840.1.113883.6.1')">(Beilagen): Der Elementinhalt MUSS einer von 'code 'X-OBSMED' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3037
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']/hl7:title
Item: (Beilagen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']/hl7:title"
         id="tmp-r-c0a8c431-b45e-467a-81b8-74739820608f">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beilagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="text()='Beilagen/Anhänge'">(Beilagen): Der Elementinhalt von 'hl7:title' MUSS ''Beilagen/Anhänge'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3037
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']/hl7:text
Item: (Beilagen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']/hl7:text"
         id="tmp-r-667623b3-6433-4006-8d14-9b65636639e7">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3037-2014-08-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beilagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3037
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3037']/hl7:entry[hl7:observationMedia[hl7:templateId/@root='1.2.276.0.76.10.4014']]
Item: (Beilagen)
--></pattern>
